import '../mixins/request_tool_mixin.dart';

// OSS 图片上传
class UploadOssImgUtils with RequestToolMixin {
  static UploadOssImgUtils? _singleton;
  static UploadOssImgUtils getInstance() => _singleton ??= UploadOssImgUtils._internal();

  UploadOssImgUtils._internal();

  Future<void> getPresignedUri(String key) async {
    var res = await getClient().getOssPresignedUri(key);
    print(res);
  }

  String setImgKey(String homeworkId, String studentId, String templateId) {
    //  $"hms-annotate/{input.HomeworkId}/{input.StudentId}/{input.TemplateId}.png"6月12日 13:54
    return 'hms-annotate/$homeworkId/$studentId/$templateId.png';
  }
}
